#if !defined(__fncy_dwn_h)              // Sentry, use file only if it's not already included.
#define __fncy_dwn_h

/*  Project fancy_ed
    Terry Richards Software
    Copyright  1994. All Rights Reserved.

    SUBSYSTEM:    fancy_ed.exe Application
    FILE:         fncy_dwn.h
    AUTHOR:       Terry Richards


    OVERVIEW
    ========
    Class definition for fancy_edWindow (TWindow).      
*/


#include <owl\owlpch.h>
#pragma hdrstop


#include "fncy_dap.rh"            // Definition of all resources.
#include "beditcli.h"             //TR - added the big edit header


//{{TWindow = fancy_edWindow}}
class fancy_edWindow : public TEditClient { //TR - changed to inherit from my editor
public:
    fancy_edWindow (TWindow* parent, const char far* title = 0, TModule* module = 0);
    virtual ~fancy_edWindow ();

//{{fancy_edWindowVIRTUAL_BEGIN}}
public:
    virtual void Paint (TDC& dc, bool erase, TRect& rect);
    HFONT GetWindowFont();
//{{fancy_edWindowVIRTUAL_END}}
//{{fancy_edWindowRSP_TBL_BEGIN}}
protected:

    TFont* MyFont;

    void EvGetMinMaxInfo (MINMAXINFO far& minmaxinfo);

    void EvKeyDown (uint key, uint repeatCount, uint flags);
    void EvSetFocus (HWND hWndLostFocus );
    void EvRButtonDown (UINT modKeys, TPoint& point);

//{{fancy_edWindowRSP_TBL_END}}
    void CMChooseFont();
    virtual void SetFont(TDC& DC);
    virtual void SizeChanged(BOOL JustFocus=FALSE);
    virtual void PosChanged(BOOL JustFocus=FALSE);
    void CM_SELECTALLMethod();
    void CM_REVERTMethod();
    void CM_REVERTEnable(TCommandEnabler& commandHandler);

    DECLARE_RESPONSE_TABLE(fancy_edWindow);
};    //{{fancy_edWindow}}


#endif                                      // __fncy_dwn_h sentry.
